public

GET /v1/plugins/{slug}

One plugin's current release.

جميع نقاط نهاية public

المصادقة

أرسل مفتاح واجهة برمجة التطبيقات (API) كرمز حامل (bearer token). لا يحدد نقطة النهاية هذه إذنًا محددًا في المواصفات، لذا امنح مفتاحك الحد الأدنى الذي محتاجه وتحقق من الاستجابة بدلاً من الافتراض.

لا يقبل هذا الطرف أي معرف للمؤسسة. يحدد مفتاحك بالفعل المؤسسة التي ينتمي إليها، وتكون الاستجابة محصورة في نطاقها.

جربه الآن

استبدل أي شيء بين أقواس زاوية بقيمك الخاصة، والعنصر النائب للمفتاح بمفتاح من لوحة تحكمك.

curl -X GET https://api.zinndigital.com/v1/plugins/{slug} \
  -H "Authorization: Bearer zdk_live_…"

هل سجلت الدخول؟ تقوم وحدة تحكم واجهة برمجة التطبيقات في لوحة التحكم الخاصة بك بربط معرف مؤسستك الحقيقي ومفتاحك الخاص، وتنفذ الطلب مقابل واجهة برمجة التطبيقات المباشرة لتتمكن من رؤية الاستجابة الفعلية. افتح هذه النهاية الطرفية في وحدة تحكم API

التفاصيل

Public and unauthenticated. A plugin we publish no release of is a `404`.

المعلمات

الاسمالنوعمطلوبما هو هذا
slug (path)stringنعمThe plugin's directory name and text domain, e.g. `zinn-cache`.

الاستجابة

الاسمالنوعمطلوبما هو هذا
kindstring<wordpress_plugin, whmcs_module, hostbill_module, generic_client>نعمWhat this is, and therefore where it is installed. `wordpress_plugin` goes in `wp-content/plugins`; `whmcs_module` in a WHMCS install's `modules/servers/`; `hostbill_module` in…
slugstringنعمThe archive's directory name, e.g. `zinn-cache` or `zinn-whmcs`.
namestringنعم
versionstringنعم
package_sha256stringنعمLowercase hex SHA-256 of the archive. The value `downloadPlugin` returns in `X-Zinn-Package-SHA256`, and the one the plugin's own updater checks a download against before WordPr…
package_bytesintegerنعم
requires_wpstringلا
requires_phpstringلا
tested_wpstringلاThe WordPress version this release was installed and activated against before it was published — a real test on a real install, not an estimate. Empty means we have not stated o…
changelogstringلا
homepagestringلا
distributionstring<public, app-only>لاWho may download this plugin. `public` — anyone, no account needed, and it is also listed on https://zinndigital.com/wordpress-plugins. `app-only` — signed-in customers only; it…
published_atstringلا

الأخطاء التي يمكن أن تُرجعها نقطة النهاية هذه

404 · 429